%define module django-dpaste

Summary:	Dpaste is a code paste-bin application using Django
Name:		python-django-dpaste
Version:	0.2.4
Release:	%mkrel 2
License:	BSD with advertising
Group:		Development/Python
URL:		http://code.google.com/p/%module/	
SOURCE:		http://pypi.python.org/packages/source/d/%module/%module-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	python-devel python-setuptools
Requires:	python-django-mptt python-pygments

%description
Originally inspired by dpaste.com this application adds the ability to:

See the differences between snippets
A history of snippets as a tree
See your latest 25 snippets (admin setting)
A huge bunch of syntax highlighters (lexers)
User defined settings to change the font-family as well as font-sizes
Nicer colors
Multilangual interface

%prep
%setup -q -n %{module}-%{version}
# the following line is to account for a build problem thats outside of my control
# it will be fixed upstream very soon, but I don't see it as a reason to delay packaging
find $buildroot -type f \( -name .DS_Store -o -name ._\* \) -print0 |xargs -0 rm -f
rm -rf dpaste/templates/dpaste/.tmp* 
%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%clean
rm  -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE MANIFEST.in README.rst
%{python_sitelib}/django_dpaste-%{version}-py2.*
%{python_sitelib}/dpaste
%lang(en) %{python_sitelib}/dpaste/locale/en/LC_MESSAGES/django.mo
%lang(de) %{python_sitelib}/dpaste/locale/de/LC_MESSAGES/django.mo



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 378669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 06 2011 misc <misc> 0.2.4-1.mga1
+ Revision: 95266
- fix Group
- fix buildrequires
- imported package python-django-dpaste

